//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USERES("SatLink.res");
USEFORM("Unit1.cpp", Form1);
USEUNIT("ProcessThread.cpp");
USEUNIT("inifile.cpp");
USEUNIT("common\log.c");
USEUNIT("usbdl\usbdl.cpp");
USEUNIT("common\misc.c");
USEUNIT("common\portlib.c");
USEUNIT("parlink\parlink.cpp");
USEUNIT("parlink\parlink_extended.cpp");
USEUNIT("parlink\parlink_legacy.cpp");
USEUNIT("..\satcom_lib\sc_common.c");
USEUNIT("dummy\dummy.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TForm1), &Form1);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
